org.eclnt.jsfserver.elements.componentnodes

## Class ASYNCHDATATRANSFERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ASYNCHDATATRANSFERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class ASYNCHDATATRANSFERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASYNCHDATATRANSFERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASYNCHDATATRANSFERNode` | `bindActionListener(IActionListenerDelegation value)`
    `ASYNCHDATATRANSFERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `ASYNCHDATATRANSFERNode` | `bindComment(IDynamicContentBindingObject value)`
    `ASYNCHDATATRANSFERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ASYNCHDATATRANSFERNode` | `bindDuration(IDynamicContentBindingObject value)`
    `ASYNCHDATATRANSFERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `ASYNCHDATATRANSFERNode` | `setActionListener(java.lang.String value)`
    `ASYNCHDATATRANSFERNode` | `setAdapterbinding(java.lang.String value)`
    `ASYNCHDATATRANSFERNode` | `setAttributemacro(java.lang.String value)`
    `ASYNCHDATATRANSFERNode` | `setComment(java.lang.String value)`
    `ASYNCHDATATRANSFERNode` | `setConfiginfo(java.lang.String value)`
    `ASYNCHDATATRANSFERNode` | `setDuration(int value)`
    `ASYNCHDATATRANSFERNode` | `setDuration(java.lang.String value)`
    `ASYNCHDATATRANSFERNode` | `setId(java.lang.String value)`
    `ASYNCHDATATRANSFERNode` | `setReference(java.lang.String value)`
    `ASYNCHDATATRANSFERNode` | `setRendered(boolean value)`
    `ASYNCHDATATRANSFERNode` | `setRendered(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASYNCHDATATRANSFERNode

          public ASYNCHDATATRANSFERNode()

  - ### Method Detail

    - #### setId

          public ASYNCHDATATRANSFERNode setId(java.lang.String value)

    - #### setActionListener

          public ASYNCHDATATRANSFERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public ASYNCHDATATRANSFERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public ASYNCHDATATRANSFERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public ASYNCHDATATRANSFERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public ASYNCHDATATRANSFERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public ASYNCHDATATRANSFERNode setComment(java.lang.String value)

    - #### bindComment

          public ASYNCHDATATRANSFERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ASYNCHDATATRANSFERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ASYNCHDATATRANSFERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDuration

          public ASYNCHDATATRANSFERNode setDuration(java.lang.String value)

    - #### bindDuration

          public ASYNCHDATATRANSFERNode bindDuration(IDynamicContentBindingObject value)

    - #### setDuration

          public ASYNCHDATATRANSFERNode setDuration(int value)

    - #### setReference

          public ASYNCHDATATRANSFERNode setReference(java.lang.String value)

    - #### setRendered

          public ASYNCHDATATRANSFERNode setRendered(java.lang.String value)

    - #### bindRendered

          public ASYNCHDATATRANSFERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ASYNCHDATATRANSFERNode setRendered(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.